/*
 * @Author: WuXiangNan
 * @Date: 2021-02-21 09:09:14
 * @LastEditTime: 2021-03-11 14:23:37
 * @LastEditors: WuXiangNan
 * @Description: 考勤打卡状态返回数据：locationClock类
 */

class LocationClockModel {
  String? locateName;
  String? location;
  double? longitude;
  double? latitude;
  int? scope;

  LocationClockModel({
    this.locateName,
    this.location,
    this.longitude,
    this.latitude,
    this.scope,
  });

  LocationClockModel.fromJson(json) {
    Map<String, dynamic> map = Map.from(json ?? {});

    locateName = map['locateName'];
    location = map['location'];
    longitude = map['longitude'];
    latitude = map['latitude'];
    scope = map['scope'];
  }

  Map<String, dynamic> toJson() {
    Map<String, dynamic> json = Map<String, dynamic>();

    json['locateName'] = this.locateName;
    json['location'] = this.location;
    json['longitude'] = this.longitude;
    json['latitude'] = this.latitude;
    json['scope'] = this.scope;

    return json;
  }
}
